Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,9 +30,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAAnalyzer", "Analyzes the development of strategy parameters and visualizes the performance of CMA-ES.")]
-  [StorableClass]
+  [StorableType("7E36BAC4-D2A5-405D-B46F-FF91BC592D43")]
   public sealed class CMAAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
 
@@ -60,5 +60,5 @@
 
     [StorableConstructor]
-    private CMAAnalyzer(bool deserializing) : base(deserializing) { }
+    private CMAAnalyzer(StorableConstructorFlag _) : base(_) { }
     private CMAAnalyzer(CMAAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public CMAAnalyzer()
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Random;
@@ -38,5 +38,5 @@
   [Item("CMA Evolution Strategy (CMAES)", "An evolution strategy based on covariance matrix adaptation.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 210)]
-  [StorableClass]
+  [StorableType("92CB2910-2D63-49A4-94DE-54DBA0CF2180")]
   public sealed class CMAEvolutionStrategy : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -224,5 +224,5 @@
 
     [StorableConstructor]
-    private CMAEvolutionStrategy(bool deserializing) : base(deserializing) { }
+    private CMAEvolutionStrategy(StorableConstructorFlag _) : base(_) { }
     private CMAEvolutionStrategy(CMAEvolutionStrategy original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,13 +22,13 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Equal-weighted Recombinator", "Calculates weighted mean using equal weights.")]
-  [StorableClass]
+  [StorableType("989FE031-C410-4435-B5F5-17A22C4A97BC")]
   public class CMAEqualweightedRecombinator : CMARecombinator {
 
     [StorableConstructor]
-    protected CMAEqualweightedRecombinator(bool deserializing) : base(deserializing) { }
+    protected CMAEqualweightedRecombinator(StorableConstructorFlag _) : base(_) { }
     protected CMAEqualweightedRecombinator(CMAEqualweightedRecombinator original, Cloner cloner) : base(original, cloner) { }
     public CMAEqualweightedRecombinator() : base() { }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using System;
 using System.Collections.Generic;
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAInitializer", "Initializes the covariance matrix and step size variables.")]
-  [StorableClass]
+  [StorableType("AEE40FF4-A610-474B-B969-032A54D814CE")]
   public class CMAInitializer : SingleSuccessorOperator, ICMAInitializer, IIterationBasedOperator {
 
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    protected CMAInitializer(bool deserializing) : base(deserializing) { }
+    protected CMAInitializer(StorableConstructorFlag _) : base(_) { }
     protected CMAInitializer(CMAInitializer original, Cloner cloner) : base(original, cloner) { }
     public CMAInitializer()
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,13 +22,13 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Linear-weighted Recombinator", "Calculates weighted mean using linear decreasing weights.")]
-  [StorableClass]
+  [StorableType("628D27E7-AD3F-418B-A44D-E5338017CA69")]
   public class CMALinearweightedRecombinator : CMARecombinator {
 
     [StorableConstructor]
-    protected CMALinearweightedRecombinator(bool deserializing) : base(deserializing) { }
+    protected CMALinearweightedRecombinator(StorableConstructorFlag _) : base(_) { }
     protected CMALinearweightedRecombinator(CMALinearweightedRecombinator original, Cloner cloner) : base(original, cloner) { }
     public CMALinearweightedRecombinator() : base() { }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,13 +24,13 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Log-weighted Recombinator", "Calculates weighted mean based on a logarithmic decreasing weights.")]
-  [StorableClass]
+  [StorableType("83A47E81-FF87-4A28-AEB4-DE453B55B680")]
   public class CMALogweightedRecombinator : CMARecombinator {
 
     [StorableConstructor]
-    protected CMALogweightedRecombinator(bool deserializing) : base(deserializing) { }
+    protected CMALogweightedRecombinator(StorableConstructorFlag _) : base(_) { }
     protected CMALogweightedRecombinator(CMALogweightedRecombinator original, Cloner cloner) : base(original, cloner) { }
     public CMALogweightedRecombinator() : base() { }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,10 +28,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAMutator", "Mutates the solution vector according to the CMA-ES scheme.")]
-  [StorableClass]
+  [StorableType("13539C1A-1D94-4CD7-8514-2173C661333D")]
   public sealed class CMAMutator : SingleSuccessorOperator, IStochasticOperator, ICMAManipulator, IIterationBasedOperator {
 
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    private CMAMutator(bool deserializing) : base(deserializing) { }
+    private CMAMutator(StorableConstructorFlag _) : base(_) { }
     private CMAMutator(CMAMutator original, Cloner cloner) : base(original, cloner) { }
     public CMAMutator()
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,10 +25,10 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using System;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMARecombinator", "Base class that calculates the weighted mean of a number of offspring.")]
-  [StorableClass]
+  [StorableType("C0798B4D-1685-4720-828A-17E40879000B")]
   public abstract class CMARecombinator : SingleSuccessorOperator, ICMARecombinator {
 
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    protected CMARecombinator(bool deserializing) : base(deserializing) { }
+    protected CMARecombinator(StorableConstructorFlag _) : base(_) { }
     protected CMARecombinator(CMARecombinator original, Cloner cloner) : base(original, cloner) { }
     protected CMARecombinator()
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using System;
 using System.Linq;
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAUpdater", "Updates the covariance matrix and strategy parameters of CMA-ES.")]
-  [StorableClass]
+  [StorableType("872D120A-1CBE-4C01-8250-E34BF8BBD9DA")]
   public class CMAUpdater : SingleSuccessorOperator, ICMAUpdater, IIterationBasedOperator, ISingleObjectiveOperator {
 
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    protected CMAUpdater(bool deserializing) : base(deserializing) { }
+    protected CMAUpdater(StorableConstructorFlag _) : base(_) { }
     protected CMAUpdater(CMAUpdater original, Cloner cloner) : base(original, cloner) { }
     public CMAUpdater()
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAParameters.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAParameters.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAParameters.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,9 +24,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAParameters", "CMA-ES controls many strategy parameters that guide the search and which are combined in this class.")]
-  [StorableClass]
+  [StorableType("FB7495E1-6285-4E3E-AEC3-F40CCB182F0F")]
   public sealed class CMAParameters : Item {
 
@@ -81,5 +81,5 @@
 
     [StorableConstructor]
-    private CMAParameters(bool deserializing) : base(deserializing) { }
+    private CMAParameters(StorableConstructorFlag _) : base(_) { }
     private CMAParameters(CMAParameters original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/HeuristicLab.Algorithms.CMAEvolutionStrategy-3.4.csproj
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/HeuristicLab.Algorithms.CMAEvolutionStrategy-3.4.csproj	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/HeuristicLab.Algorithms.CMAEvolutionStrategy-3.4.csproj	(revision 16565)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Algorithms.CMAEvolutionStrategy</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.CMAEvolutionStrategy-3.4</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -104,4 +104,10 @@
       <Private>False</Private>
     </Reference>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -109,4 +115,7 @@
     </Reference>
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
@@ -139,4 +148,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAInitializer.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAInitializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAInitializer.cs	(revision 16565)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,6 +25,8 @@
 using HeuristicLab.Data;
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [StorableType("EA9351D0-94F1-49D5-BE86-000CA0D4996E")]
   public interface ICMAInitializer : IOperator {
     Type CMAType { get; }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAManipulator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAManipulator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAManipulator.cs	(revision 16565)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,6 +26,8 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [StorableType("04C80B53-C695-490F-9D1E-6DAE90FF6AFC")]
   public interface ICMAManipulator : IOperator {
     Type CMAType { get; }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMARecombinator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMARecombinator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMARecombinator.cs	(revision 16565)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,6 +25,8 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [StorableType("33524FCA-B31B-415E-BC53-87C126CAF124")]
   public interface ICMARecombinator : IOperator {
     Type CMAType { get; }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAUpdater.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAUpdater.cs	(revision 16565)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,6 +26,8 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [StorableType("0BFE0CF3-24A1-4495-A1F3-6D0ED6634BD7")]
   public interface ICMAUpdater : IOperator {
     Type CMAType { get; }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Plugin.cs.frame	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Properties/AssemblyInfo.cs.frame	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Terminator.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Terminator.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Terminator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using System;
 using System.Linq;
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("Terminator", "Decides if the algorithm should terminate or not.")]
-  [StorableClass]
+  [StorableType("BE0F0791-4B19-4AC0-ACD6-C0FBEF829DBC")]
   public class Terminator : Operator, IIterationBasedOperator, ISingleObjectiveOperator {
 
@@ -109,5 +109,5 @@
 
     [StorableConstructor]
-    protected Terminator(bool deserializing) : base(deserializing) { }
+    protected Terminator(StorableConstructorFlag _) : base(_) { }
     protected Terminator(Terminator original, Cloner cloner)
       : base(original, cloner) { }
Index: trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/packages.config
===================================================================
--- trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/packages.config	(revision 16565)
+++ trunk/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
